OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
STEPControl

# STEPControl_Writer Class Reference

This class creates and writes
STEP files from Open CASCADE models. A STEP file can be
written to an existing STEP file or to a new one.
Translation can be performed in one or several operations. Each
translation operation outputs a distinct root entity in the STEP file.
.

`#include <STEPControl_Writer.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | STEPControl_Writer ()
| Creates a Writer from scratch .
Standard_EXPORT | STEPControl_Writer (const Handle(XSControl_WorkSession)&WS, const Standard_Boolean scratch=Standard_True)
| Creates a Writer from an already existing Session If <scratch> is True (D), clears already recorded data .
Standard_EXPORT void | SetTolerance (const Standard_Real Tol)
| Sets a length-measure value that will be written to uncertainty-measure-with-unit when the next shape is translated. .
Standard_EXPORT void | UnsetTolerance ()
| Unsets the tolerance formerly forced by SetTolerance .
Standard_EXPORT void | SetWS (const Handle(XSControl_WorkSession)&WS, const Standard_Boolean scratch=Standard_True)
| Sets a specific session to <me> .
Standard_EXPORT Handle_XSControl_WorkSession | WS () const
| Returns the session used in <me> .
Standard_EXPORT Handle_StepData_StepModel | Model (const Standard_Boolean newone=Standard_False)
| Returns the produced model. Produces a new one if not yet done or if <newone> is True This method allows for instance to edit product or header data before writing. .
Standard_EXPORT IFSelect_ReturnStatus | Transfer (const TopoDS_Shape &sh, const STEPControl_StepModelType mode, const Standard_Boolean compgraph=Standard_True)
| Translates shape sh to a STEP entity. mode defines the STEP entity type to be output: - STEPControlStd_AsIs translates a shape to its highest possible STEP representation. - STEPControlStd_ManifoldSolidBrep translates a shape to a STEP manifold_solid_brep or brep_with_voids entity. - STEPControlStd_FacetedBrep translates a shape into a STEP faceted_brep entity. - STEPControlStd_ShellBasedSurfaceModel translates a shape into a STEP shell_based_surface_model entity. - STEPControlStd_GeometricCurveSet translates a shape into a STEP geometric_curve_set entity. .
Standard_EXPORT IFSelect_ReturnStatus | Write (const Standard_CString filename)
| Writes a STEP model in the file identified by filename. .
Standard_EXPORT void | PrintStatsTransfer (const Standard_Integer what, const Standard_Integer mode=0) const
| Displays the statistics for the last translation. what defines the kind of statistics that are displayed: - 0 gives general statistics (number of translated roots, number of warnings, number of fail messages), - 1 gives root results, - 2 gives statistics for all checked entities, - 3 gives the list of translated entities, - 4 gives warning and fail messages, - 5 gives fail messages only. mode is used according to the use of what. If what is 0, mode is ignored. If what is 1, 2 or 3, mode defines the following: - 0 lists the numbers of STEP entities in a STEP model, - 1 gives the number, identifier, type and result type for each STEP entity and/or its status (fail, warning, etc.), - 2 gives maximum information for each STEP entity (i.e. checks), - 3 gives the number of entities by the type of a STEP entity, - 4 gives the number of of STEP entities per result type and/or status, - 5 gives the number of pairs (STEP or result type and status), - 6 gives the number of pairs (STEP or result type and status) AND the list of entity numbers in the STEP model. .
## Private Attributes
Handle_XSControl_WorkSession | thesession

## Constructor & Destructor Documentation

Standard_EXPORT STEPControl_Writer::STEPControl_Writer | ( |  | ) |

Standard_EXPORT STEPControl_Writer::STEPControl_Writer | ( | const Handle(XSControl_WorkSession)& | WS,
|  | const Standard_Boolean | scratch = `Standard_True`
| ) |

## Member Function Documentation

Standard_EXPORT Handle_StepData_StepModel STEPControl_Writer::Model | ( | const Standard_Boolean | newone = `Standard_False` | ) |

void STEPControl_Writer::operator delete | ( | void * | anAddress | ) | `[inline]`

void* STEPControl_Writer::operator new | ( | size_t | size | ) | `[inline]`

void* STEPControl_Writer::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void STEPControl_Writer::PrintStatsTransfer | ( | const Standard_Integer | what,
|  | const Standard_Integer | mode = `0`
| ) | const

Standard_EXPORT void STEPControl_Writer::SetTolerance | ( | const Standard_Real | Tol | ) |

Standard_EXPORT void STEPControl_Writer::SetWS | ( | const Handle(XSControl_WorkSession)& | WS,
|  | const Standard_Boolean | scratch = `Standard_True`
| ) |

Standard_EXPORT IFSelect_ReturnStatus STEPControl_Writer::Transfer | ( | const TopoDS_Shape & | sh,
|  | const STEPControl_StepModelType | mode,
|  | const Standard_Boolean | compgraph = `Standard_True`
| ) |

Standard_EXPORT void STEPControl_Writer::UnsetTolerance | ( |  | ) |

Standard_EXPORT IFSelect_ReturnStatus STEPControl_Writer::Write | ( | const Standard_CString | filename | ) |

Standard_EXPORT Handle_XSControl_WorkSession STEPControl_Writer::WS | ( |  | ) | const

## Field Documentation

Handle_XSControl_WorkSession STEPControl_Writer::thesession`[private]`

The documentation for this class was generated from the following file:

- STEPControl_Writer.hxx